using MasaBlazorApp3.Pojo;
using MasaBlazorApp3.Pojo.Vo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasaBlazorApp3.DataAccess.Dao
{
    public interface IMachineRecordDao
    {
        int InsertMachineRecord(MachineRecord record);

        Task<PageData<MachineRecord>> GetMachineRecordAsync(DateTime start, DateTime end, int operatorId, string drugId, int type, int? take, int? skip);

        Task<PageData<MachineRecord>> GetCanReturnRecords(DateTime start, DateTime end, int operatorId, string drugId, int? take, int? skip);

        Task<List<OperationVo<List<MachineRecord>>>> getReturnDrugInfoByRecords(List<MachineRecord> records);

        Task<bool> ReturnDrugFinish(List<OperationVo<List<MachineRecord>>> datas);

        Task<List<ChannelStock>> GetReturnEmpty();

        Task<PageData<MachineRecord>> getReturnEmptyInfoByRecords(ChannelStock records);

        Task<bool> ReturnEmptyFinish(List<MachineRecord> datas,ChannelStock channelStock);
        Task<List<ChannelStock>> GetReturnEmptyWithCanReturnQuantiy();
    }
}
